<template>
  <!-- 风险城市维护添加 -->
  <div>
    <el-dialog
      :title="title + '风险城市维护'"
      :visible.sync="showFormDia"
      width="76%"
      :before-close="handleClose"
      top="8vh"
    >
      <div>
        <el-form
          ref="formInfo"
          :rules="rules"
          :model="params"
          label-width="120px"
        >

       <el-collapse v-model="activeCollapseNames" class="form-collapse">
            <el-collapse-item name="1">
              <template slot="title">
                <span class="collapse-title">
                  <i class="collapse-title-icon el-icon-info" />
                  基础信息
                </span>
              </template>


                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="城市名称" prop="city" >
                         <el-input
                           size="small"
                           placeholder="请输入城市名称"
                           v-model="params.city"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="风险城市标记：0-否；1-是" prop="level" >
                         <el-input
                           size="small"
                           placeholder="请输入风险城市标记：0-否；1-是"
                           v-model="params.level"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>

            </el-collapse-item>
          </el-collapse>
        </el-form>
      </div>
      <span slot="footer" class="dialog-footer">
        <el-button type="primary" @click="handleSave">保 存</el-button>
        <el-button @click="handleClose">取 消</el-button>
      </span>
    </el-dialog>
  </div>
</template>
<script>

import DwdLkEpidemicCityApi from '@/views/Manage/dwd/api/DwdLkEpidemicCityApi'
import dictContracts from '@/components/dict/DictSelectUtils.js'

export default {
  name: 'DwdLkEpidemicCityFormDialog',
  props: {},
  components: {},
  data() {
    return {
      title: '新增',
      showFormDia: false,
      activeCollapseNames: ['1'],

      params: {
            city: null,
            level: null,
      },
      rules: {
          city: [
            { required: true,
                message: '城市名称不能为空',
                trigger: 'blur'
            }
          ],
          level: [
            { required: true,
                message: '风险城市标记：0-否；1-是不能为空',
                trigger: 'blur'
            }
          ]
      }
    }
  },
  created() {
  },
  methods: {
    add() {
      this.showFormDia = true
    },
    handleClose() {
      this.params = {
              city: null,
              level: null,
      }

      this.title = '新增'
      this.showFormDia = false
    },
    handleSave() {
      this.$refs.formInfo.validate(valid => {
        if (valid) {
          let method
          if (!this.params.id) {
            // 新增
            method = DwdLkEpidemicCityApi.addDwdLkEpidemicCity
          }
          if (!!this.params.id) {
            // 修改
            method = DwdLkEpidemicCityApi.editDwdLkEpidemicCity
          }
          method(this.params, res => {
            if (res.state) {
              this.$notify({
                type: 'success',
                message: this.title + '成功',
                duration: 2000
              })
			  //this.$emit('loadData')
			  this.$parent.loadData()
              this.handleClose()
            } else {
              this.$message.warning(response.message)
            }
          })
        }
      })
    },
    Update(row) {
      this.title = '修改'
      this.showFormDia = true
      this.params = row
    }
  }
}
</script>
<style lang="scss" scoped>
.step-container {
  width: 80%;
  margin: 0 auto 20px;
}
.dialog-footer {
  text-align: center;
}
</style>